SCORM Engine Supported Browsers

SCORM Engine

Supported Browsers
  • Firefox 2.0 and higher
  • IE 5.5 and higher
  • Safari 1.0 and higher
  • Chrome (all versions)
A general statement on browser support…

While we can’t “guarantee” that the SCORM Engine will function properly in other, less used browsers (Opera, etc), we have had very high levels of success in all modern browsers. The specific JavaScript constructs in use throughout the SCORM Engine are not new constructs. We aren’t doing anything “crazy” with regard to browser support. We’re simply doing a lot of JavaScript work.

If you’re preferred browser isn’t listed above, don’t despair. Give it a chance. Create an account on SCORM Test Track and see how it goes. Our track record with browser support is excellent.